# Generated from jekyll-drafts-as-metadata-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll-drafts-as-metadata

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: A Jekyll plugin to add draft status as metadata
License: GPL-3.0+
URL: https://0xacab.org/sutty/jekyll/jekyll-drafts-as-metadata
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubocop) >= 0.68
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-performance)
# BuildRequires: rubygem(rubocop-performance) < 1
BuildArch: noarch

%description
Allows to add `draft: true` to front matter to skip them, instead of using
`_drafts/`.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.en.md
%doc %{gem_instdir}/README.es.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/jekyll-drafts-as-metadata.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.0.4-1
- Initial package
